package com.chinaitop.depot.intelligent.ventilation.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class DataKcglKcswDefaultExample {
    /**
     * data_kcgl_kcsw_default
     */
    protected String orderByClause;

    /**
     * data_kcgl_kcsw_default
     */
    protected boolean distinct;

    /**
     * data_kcgl_kcsw_default
     */
    protected List<Criteria> oredCriteria;

    public DataKcglKcswDefaultExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * data_kcgl_kcsw_default 2017-11-09
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andDataidIsNull() {
            addCriterion("DataID is null");
            return (Criteria) this;
        }

        public Criteria andDataidIsNotNull() {
            addCriterion("DataID is not null");
            return (Criteria) this;
        }

        public Criteria andDataidEqualTo(String value) {
            addCriterion("DataID =", value, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidNotEqualTo(String value) {
            addCriterion("DataID <>", value, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidGreaterThan(String value) {
            addCriterion("DataID >", value, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidGreaterThanOrEqualTo(String value) {
            addCriterion("DataID >=", value, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidLessThan(String value) {
            addCriterion("DataID <", value, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidLessThanOrEqualTo(String value) {
            addCriterion("DataID <=", value, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidLike(String value) {
            addCriterion("DataID like", value, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidNotLike(String value) {
            addCriterion("DataID not like", value, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidIn(List<String> values) {
            addCriterion("DataID in", values, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidNotIn(List<String> values) {
            addCriterion("DataID not in", values, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidBetween(String value1, String value2) {
            addCriterion("DataID between", value1, value2, "dataid");
            return (Criteria) this;
        }

        public Criteria andDataidNotBetween(String value1, String value2) {
            addCriterion("DataID not between", value1, value2, "dataid");
            return (Criteria) this;
        }

        public Criteria andUnitidIsNull() {
            addCriterion("UnitID is null");
            return (Criteria) this;
        }

        public Criteria andUnitidIsNotNull() {
            addCriterion("UnitID is not null");
            return (Criteria) this;
        }

        public Criteria andUnitidEqualTo(String value) {
            addCriterion("UnitID =", value, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidNotEqualTo(String value) {
            addCriterion("UnitID <>", value, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidGreaterThan(String value) {
            addCriterion("UnitID >", value, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidGreaterThanOrEqualTo(String value) {
            addCriterion("UnitID >=", value, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidLessThan(String value) {
            addCriterion("UnitID <", value, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidLessThanOrEqualTo(String value) {
            addCriterion("UnitID <=", value, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidLike(String value) {
            addCriterion("UnitID like", value, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidNotLike(String value) {
            addCriterion("UnitID not like", value, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidIn(List<String> values) {
            addCriterion("UnitID in", values, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidNotIn(List<String> values) {
            addCriterion("UnitID not in", values, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidBetween(String value1, String value2) {
            addCriterion("UnitID between", value1, value2, "unitid");
            return (Criteria) this;
        }

        public Criteria andUnitidNotBetween(String value1, String value2) {
            addCriterion("UnitID not between", value1, value2, "unitid");
            return (Criteria) this;
        }

        public Criteria andPeriodidIsNull() {
            addCriterion("PeriodID is null");
            return (Criteria) this;
        }

        public Criteria andPeriodidIsNotNull() {
            addCriterion("PeriodID is not null");
            return (Criteria) this;
        }

        public Criteria andPeriodidEqualTo(String value) {
            addCriterion("PeriodID =", value, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidNotEqualTo(String value) {
            addCriterion("PeriodID <>", value, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidGreaterThan(String value) {
            addCriterion("PeriodID >", value, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidGreaterThanOrEqualTo(String value) {
            addCriterion("PeriodID >=", value, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidLessThan(String value) {
            addCriterion("PeriodID <", value, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidLessThanOrEqualTo(String value) {
            addCriterion("PeriodID <=", value, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidLike(String value) {
            addCriterion("PeriodID like", value, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidNotLike(String value) {
            addCriterion("PeriodID not like", value, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidIn(List<String> values) {
            addCriterion("PeriodID in", values, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidNotIn(List<String> values) {
            addCriterion("PeriodID not in", values, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidBetween(String value1, String value2) {
            addCriterion("PeriodID between", value1, value2, "periodid");
            return (Criteria) this;
        }

        public Criteria andPeriodidNotBetween(String value1, String value2) {
            addCriterion("PeriodID not between", value1, value2, "periodid");
            return (Criteria) this;
        }

        public Criteria andRoundidIsNull() {
            addCriterion("RoundID is null");
            return (Criteria) this;
        }

        public Criteria andRoundidIsNotNull() {
            addCriterion("RoundID is not null");
            return (Criteria) this;
        }

        public Criteria andRoundidEqualTo(Byte value) {
            addCriterion("RoundID =", value, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidNotEqualTo(Byte value) {
            addCriterion("RoundID <>", value, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidGreaterThan(Byte value) {
            addCriterion("RoundID >", value, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidGreaterThanOrEqualTo(Byte value) {
            addCriterion("RoundID >=", value, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidLessThan(Byte value) {
            addCriterion("RoundID <", value, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidLessThanOrEqualTo(Byte value) {
            addCriterion("RoundID <=", value, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidIn(List<Byte> values) {
            addCriterion("RoundID in", values, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidNotIn(List<Byte> values) {
            addCriterion("RoundID not in", values, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidBetween(Byte value1, Byte value2) {
            addCriterion("RoundID between", value1, value2, "roundid");
            return (Criteria) this;
        }

        public Criteria andRoundidNotBetween(Byte value1, Byte value2) {
            addCriterion("RoundID not between", value1, value2, "roundid");
            return (Criteria) this;
        }

        public Criteria andModifydateIsNull() {
            addCriterion("ModifyDate is null");
            return (Criteria) this;
        }

        public Criteria andModifydateIsNotNull() {
            addCriterion("ModifyDate is not null");
            return (Criteria) this;
        }

        public Criteria andModifydateEqualTo(Date value) {
            addCriterion("ModifyDate =", value, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateNotEqualTo(Date value) {
            addCriterion("ModifyDate <>", value, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateGreaterThan(Date value) {
            addCriterion("ModifyDate >", value, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateGreaterThanOrEqualTo(Date value) {
            addCriterion("ModifyDate >=", value, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateLessThan(Date value) {
            addCriterion("ModifyDate <", value, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateLessThanOrEqualTo(Date value) {
            addCriterion("ModifyDate <=", value, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateIn(List<Date> values) {
            addCriterion("ModifyDate in", values, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateNotIn(List<Date> values) {
            addCriterion("ModifyDate not in", values, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateBetween(Date value1, Date value2) {
            addCriterion("ModifyDate between", value1, value2, "modifydate");
            return (Criteria) this;
        }

        public Criteria andModifydateNotBetween(Date value1, Date value2) {
            addCriterion("ModifyDate not between", value1, value2, "modifydate");
            return (Criteria) this;
        }

        public Criteria andBuilderIsNull() {
            addCriterion("builder is null");
            return (Criteria) this;
        }

        public Criteria andBuilderIsNotNull() {
            addCriterion("builder is not null");
            return (Criteria) this;
        }

        public Criteria andBuilderEqualTo(String value) {
            addCriterion("builder =", value, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderNotEqualTo(String value) {
            addCriterion("builder <>", value, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderGreaterThan(String value) {
            addCriterion("builder >", value, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderGreaterThanOrEqualTo(String value) {
            addCriterion("builder >=", value, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderLessThan(String value) {
            addCriterion("builder <", value, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderLessThanOrEqualTo(String value) {
            addCriterion("builder <=", value, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderLike(String value) {
            addCriterion("builder like", value, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderNotLike(String value) {
            addCriterion("builder not like", value, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderIn(List<String> values) {
            addCriterion("builder in", values, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderNotIn(List<String> values) {
            addCriterion("builder not in", values, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderBetween(String value1, String value2) {
            addCriterion("builder between", value1, value2, "builder");
            return (Criteria) this;
        }

        public Criteria andBuilderNotBetween(String value1, String value2) {
            addCriterion("builder not between", value1, value2, "builder");
            return (Criteria) this;
        }

        public Criteria andLkmcIsNull() {
            addCriterion("lkmc is null");
            return (Criteria) this;
        }

        public Criteria andLkmcIsNotNull() {
            addCriterion("lkmc is not null");
            return (Criteria) this;
        }

        public Criteria andLkmcEqualTo(String value) {
            addCriterion("lkmc =", value, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcNotEqualTo(String value) {
            addCriterion("lkmc <>", value, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcGreaterThan(String value) {
            addCriterion("lkmc >", value, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcGreaterThanOrEqualTo(String value) {
            addCriterion("lkmc >=", value, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcLessThan(String value) {
            addCriterion("lkmc <", value, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcLessThanOrEqualTo(String value) {
            addCriterion("lkmc <=", value, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcLike(String value) {
            addCriterion("lkmc like", value, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcNotLike(String value) {
            addCriterion("lkmc not like", value, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcIn(List<String> values) {
            addCriterion("lkmc in", values, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcNotIn(List<String> values) {
            addCriterion("lkmc not in", values, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcBetween(String value1, String value2) {
            addCriterion("lkmc between", value1, value2, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkmcNotBetween(String value1, String value2) {
            addCriterion("lkmc not between", value1, value2, "lkmc");
            return (Criteria) this;
        }

        public Criteria andLkbmIsNull() {
            addCriterion("lkbm is null");
            return (Criteria) this;
        }

        public Criteria andLkbmIsNotNull() {
            addCriterion("lkbm is not null");
            return (Criteria) this;
        }

        public Criteria andLkbmEqualTo(String value) {
            addCriterion("lkbm =", value, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmNotEqualTo(String value) {
            addCriterion("lkbm <>", value, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmGreaterThan(String value) {
            addCriterion("lkbm >", value, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmGreaterThanOrEqualTo(String value) {
            addCriterion("lkbm >=", value, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmLessThan(String value) {
            addCriterion("lkbm <", value, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmLessThanOrEqualTo(String value) {
            addCriterion("lkbm <=", value, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmLike(String value) {
            addCriterion("lkbm like", value, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmNotLike(String value) {
            addCriterion("lkbm not like", value, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmIn(List<String> values) {
            addCriterion("lkbm in", values, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmNotIn(List<String> values) {
            addCriterion("lkbm not in", values, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmBetween(String value1, String value2) {
            addCriterion("lkbm between", value1, value2, "lkbm");
            return (Criteria) this;
        }

        public Criteria andLkbmNotBetween(String value1, String value2) {
            addCriterion("lkbm not between", value1, value2, "lkbm");
            return (Criteria) this;
        }

        public Criteria andHwxzIsNull() {
            addCriterion("hwxz is null");
            return (Criteria) this;
        }

        public Criteria andHwxzIsNotNull() {
            addCriterion("hwxz is not null");
            return (Criteria) this;
        }

        public Criteria andHwxzEqualTo(String value) {
            addCriterion("hwxz =", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzNotEqualTo(String value) {
            addCriterion("hwxz <>", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzGreaterThan(String value) {
            addCriterion("hwxz >", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzGreaterThanOrEqualTo(String value) {
            addCriterion("hwxz >=", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzLessThan(String value) {
            addCriterion("hwxz <", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzLessThanOrEqualTo(String value) {
            addCriterion("hwxz <=", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzLike(String value) {
            addCriterion("hwxz like", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzNotLike(String value) {
            addCriterion("hwxz not like", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzIn(List<String> values) {
            addCriterion("hwxz in", values, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzNotIn(List<String> values) {
            addCriterion("hwxz not in", values, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzBetween(String value1, String value2) {
            addCriterion("hwxz between", value1, value2, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzNotBetween(String value1, String value2) {
            addCriterion("hwxz not between", value1, value2, "hwxz");
            return (Criteria) this;
        }

        public Criteria andChIsNull() {
            addCriterion("ch is null");
            return (Criteria) this;
        }

        public Criteria andChIsNotNull() {
            addCriterion("ch is not null");
            return (Criteria) this;
        }

        public Criteria andChEqualTo(String value) {
            addCriterion("ch =", value, "ch");
            return (Criteria) this;
        }

        public Criteria andChNotEqualTo(String value) {
            addCriterion("ch <>", value, "ch");
            return (Criteria) this;
        }

        public Criteria andChGreaterThan(String value) {
            addCriterion("ch >", value, "ch");
            return (Criteria) this;
        }

        public Criteria andChGreaterThanOrEqualTo(String value) {
            addCriterion("ch >=", value, "ch");
            return (Criteria) this;
        }

        public Criteria andChLessThan(String value) {
            addCriterion("ch <", value, "ch");
            return (Criteria) this;
        }

        public Criteria andChLessThanOrEqualTo(String value) {
            addCriterion("ch <=", value, "ch");
            return (Criteria) this;
        }

        public Criteria andChIn(List<String> values) {
            addCriterion("ch in", values, "ch");
            return (Criteria) this;
        }

        public Criteria andChNotIn(List<String> values) {
            addCriterion("ch not in", values, "ch");
            return (Criteria) this;
        }

        public Criteria andChBetween(String value1, String value2) {
            addCriterion("ch between", value1, value2, "ch");
            return (Criteria) this;
        }

        public Criteria andChNotBetween(String value1, String value2) {
            addCriterion("ch not between", value1, value2, "ch");
            return (Criteria) this;
        }

        public Criteria andHwhIsNull() {
            addCriterion("hwh is null");
            return (Criteria) this;
        }

        public Criteria andHwhIsNotNull() {
            addCriterion("hwh is not null");
            return (Criteria) this;
        }

        public Criteria andHwhEqualTo(String value) {
            addCriterion("hwh =", value, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhNotEqualTo(String value) {
            addCriterion("hwh <>", value, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhGreaterThan(String value) {
            addCriterion("hwh >", value, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhGreaterThanOrEqualTo(String value) {
            addCriterion("hwh >=", value, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhLessThan(String value) {
            addCriterion("hwh <", value, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhLessThanOrEqualTo(String value) {
            addCriterion("hwh <=", value, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhIn(List<String> values) {
            addCriterion("hwh in", values, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhNotIn(List<String> values) {
            addCriterion("hwh not in", values, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhBetween(String value1, String value2) {
            addCriterion("hwh between", value1, value2, "hwh");
            return (Criteria) this;
        }

        public Criteria andHwhNotBetween(String value1, String value2) {
            addCriterion("hwh not between", value1, value2, "hwh");
            return (Criteria) this;
        }

        public Criteria andPzIsNull() {
            addCriterion("pz is null");
            return (Criteria) this;
        }

        public Criteria andPzIsNotNull() {
            addCriterion("pz is not null");
            return (Criteria) this;
        }

        public Criteria andPzEqualTo(String value) {
            addCriterion("pz =", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzNotEqualTo(String value) {
            addCriterion("pz <>", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzGreaterThan(String value) {
            addCriterion("pz >", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzGreaterThanOrEqualTo(String value) {
            addCriterion("pz >=", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzLessThan(String value) {
            addCriterion("pz <", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzLessThanOrEqualTo(String value) {
            addCriterion("pz <=", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzLike(String value) {
            addCriterion("pz like", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzNotLike(String value) {
            addCriterion("pz not like", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzIn(List<String> values) {
            addCriterion("pz in", values, "pz");
            return (Criteria) this;
        }

        public Criteria andPzNotIn(List<String> values) {
            addCriterion("pz not in", values, "pz");
            return (Criteria) this;
        }

        public Criteria andPzBetween(String value1, String value2) {
            addCriterion("pz between", value1, value2, "pz");
            return (Criteria) this;
        }

        public Criteria andPzNotBetween(String value1, String value2) {
            addCriterion("pz not between", value1, value2, "pz");
            return (Criteria) this;
        }

        public Criteria andMxpzIsNull() {
            addCriterion("mxpz is null");
            return (Criteria) this;
        }

        public Criteria andMxpzIsNotNull() {
            addCriterion("mxpz is not null");
            return (Criteria) this;
        }

        public Criteria andMxpzEqualTo(String value) {
            addCriterion("mxpz =", value, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzNotEqualTo(String value) {
            addCriterion("mxpz <>", value, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzGreaterThan(String value) {
            addCriterion("mxpz >", value, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzGreaterThanOrEqualTo(String value) {
            addCriterion("mxpz >=", value, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzLessThan(String value) {
            addCriterion("mxpz <", value, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzLessThanOrEqualTo(String value) {
            addCriterion("mxpz <=", value, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzLike(String value) {
            addCriterion("mxpz like", value, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzNotLike(String value) {
            addCriterion("mxpz not like", value, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzIn(List<String> values) {
            addCriterion("mxpz in", values, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzNotIn(List<String> values) {
            addCriterion("mxpz not in", values, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzBetween(String value1, String value2) {
            addCriterion("mxpz between", value1, value2, "mxpz");
            return (Criteria) this;
        }

        public Criteria andMxpzNotBetween(String value1, String value2) {
            addCriterion("mxpz not between", value1, value2, "mxpz");
            return (Criteria) this;
        }

        public Criteria andDjIsNull() {
            addCriterion("dj is null");
            return (Criteria) this;
        }

        public Criteria andDjIsNotNull() {
            addCriterion("dj is not null");
            return (Criteria) this;
        }

        public Criteria andDjEqualTo(String value) {
            addCriterion("dj =", value, "dj");
            return (Criteria) this;
        }

        public Criteria andDjNotEqualTo(String value) {
            addCriterion("dj <>", value, "dj");
            return (Criteria) this;
        }

        public Criteria andDjGreaterThan(String value) {
            addCriterion("dj >", value, "dj");
            return (Criteria) this;
        }

        public Criteria andDjGreaterThanOrEqualTo(String value) {
            addCriterion("dj >=", value, "dj");
            return (Criteria) this;
        }

        public Criteria andDjLessThan(String value) {
            addCriterion("dj <", value, "dj");
            return (Criteria) this;
        }

        public Criteria andDjLessThanOrEqualTo(String value) {
            addCriterion("dj <=", value, "dj");
            return (Criteria) this;
        }

        public Criteria andDjLike(String value) {
            addCriterion("dj like", value, "dj");
            return (Criteria) this;
        }

        public Criteria andDjNotLike(String value) {
            addCriterion("dj not like", value, "dj");
            return (Criteria) this;
        }

        public Criteria andDjIn(List<String> values) {
            addCriterion("dj in", values, "dj");
            return (Criteria) this;
        }

        public Criteria andDjNotIn(List<String> values) {
            addCriterion("dj not in", values, "dj");
            return (Criteria) this;
        }

        public Criteria andDjBetween(String value1, String value2) {
            addCriterion("dj between", value1, value2, "dj");
            return (Criteria) this;
        }

        public Criteria andDjNotBetween(String value1, String value2) {
            addCriterion("dj not between", value1, value2, "dj");
            return (Criteria) this;
        }

        public Criteria andRqIsNull() {
            addCriterion("rq is null");
            return (Criteria) this;
        }

        public Criteria andRqIsNotNull() {
            addCriterion("rq is not null");
            return (Criteria) this;
        }

        public Criteria andRqEqualTo(Date value) {
            addCriterion("rq =", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqNotEqualTo(Date value) {
            addCriterion("rq <>", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqGreaterThan(Date value) {
            addCriterion("rq >", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqGreaterThanOrEqualTo(Date value) {
            addCriterion("rq >=", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqLessThan(Date value) {
            addCriterion("rq <", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqLessThanOrEqualTo(Date value) {
            addCriterion("rq <=", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqIn(List<Date> values) {
            addCriterion("rq in", values, "rq");
            return (Criteria) this;
        }

        public Criteria andRqNotIn(List<Date> values) {
            addCriterion("rq not in", values, "rq");
            return (Criteria) this;
        }

        public Criteria andRqBetween(Date value1, Date value2) {
            addCriterion("rq between", value1, value2, "rq");
            return (Criteria) this;
        }

        public Criteria andRqNotBetween(Date value1, Date value2) {
            addCriterion("rq not between", value1, value2, "rq");
            return (Criteria) this;
        }

        public Criteria andWjhIsNull() {
            addCriterion("wjh is null");
            return (Criteria) this;
        }

        public Criteria andWjhIsNotNull() {
            addCriterion("wjh is not null");
            return (Criteria) this;
        }

        public Criteria andWjhEqualTo(String value) {
            addCriterion("wjh =", value, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhNotEqualTo(String value) {
            addCriterion("wjh <>", value, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhGreaterThan(String value) {
            addCriterion("wjh >", value, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhGreaterThanOrEqualTo(String value) {
            addCriterion("wjh >=", value, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhLessThan(String value) {
            addCriterion("wjh <", value, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhLessThanOrEqualTo(String value) {
            addCriterion("wjh <=", value, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhIn(List<String> values) {
            addCriterion("wjh in", values, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhNotIn(List<String> values) {
            addCriterion("wjh not in", values, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhBetween(String value1, String value2) {
            addCriterion("wjh between", value1, value2, "wjh");
            return (Criteria) this;
        }

        public Criteria andWjhNotBetween(String value1, String value2) {
            addCriterion("wjh not between", value1, value2, "wjh");
            return (Criteria) this;
        }

        public Criteria andKcslIsNull() {
            addCriterion("kcsl is null");
            return (Criteria) this;
        }

        public Criteria andKcslIsNotNull() {
            addCriterion("kcsl is not null");
            return (Criteria) this;
        }

        public Criteria andKcslEqualTo(Double value) {
            addCriterion("kcsl =", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotEqualTo(Double value) {
            addCriterion("kcsl <>", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslGreaterThan(Double value) {
            addCriterion("kcsl >", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslGreaterThanOrEqualTo(Double value) {
            addCriterion("kcsl >=", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslLessThan(Double value) {
            addCriterion("kcsl <", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslLessThanOrEqualTo(Double value) {
            addCriterion("kcsl <=", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslIn(List<Double> values) {
            addCriterion("kcsl in", values, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotIn(List<Double> values) {
            addCriterion("kcsl not in", values, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslBetween(Double value1, Double value2) {
            addCriterion("kcsl between", value1, value2, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotBetween(Integer value1, Integer value2) {
            addCriterion("kcsl not between", value1, value2, "kcsl");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNull() {
            addCriterion("cjsj is null");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNotNull() {
            addCriterion("cjsj is not null");
            return (Criteria) this;
        }

        public Criteria andCjsjEqualTo(Date value) {
            addCriterion("cjsj =", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotEqualTo(Date value) {
            addCriterion("cjsj <>", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThan(Date value) {
            addCriterion("cjsj >", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("cjsj >=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThan(Date value) {
            addCriterion("cjsj <", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThanOrEqualTo(Date value) {
            addCriterion("cjsj <=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjIn(List<Date> values) {
            addCriterion("cjsj in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotIn(List<Date> values) {
            addCriterion("cjsj not in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjBetween(Date value1, Date value2) {
            addCriterion("cjsj between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotBetween(Date value1, Date value2) {
            addCriterion("cjsj not between", value1, value2, "cjsj");
            return (Criteria) this;
        }
    }

    /**
     * data_kcgl_kcsw_default
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * data_kcgl_kcsw_default 2017-11-09
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}